
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.test.lingproc package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.test.utils package" href="nl2declare.test.utils.html" />
    <link rel="prev" title="nl2declare.test package" href="nl2declare.test.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-test-lingproc-package">
<h1>nl2declare.test.lingproc package<a class="headerlink" href="#nl2declare-test-lingproc-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.test.lingproc.test_declare_constructor">
<span id="nl2declare-test-lingproc-test-declare-constructor-module"></span><h2>nl2declare.test.lingproc.test_declare_constructor module<a class="headerlink" href="#module-nl2declare.test.lingproc.test_declare_constructor" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_end</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_end"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end2">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_end2</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_end2"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end2" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_precedence">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_precedence</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_precedence"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_precedence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_response">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_response</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_response"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_response" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_start</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_start"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start2">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_start2</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_start2"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start2" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_succession">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_declare_constructor.</span></span><span class="sig-name descname"><span class="pre">test_declare_constructor_succession</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_declare_constructor.html#test_declare_constructor_succession"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_succession" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.test.lingproc.test_text_parser">
<span id="nl2declare-test-lingproc-test-text-parser-module"></span><h2>nl2declare.test.lingproc.test_text_parser module<a class="headerlink" href="#module-nl2declare.test.lingproc.test_text_parser" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_change_direction">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_change_direction</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_change_direction"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_change_direction" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_empty_model">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_empty_model</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_empty_model"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_empty_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_is_preceded">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_is_preceded</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_is_preceded"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_is_preceded" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_one_action">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_one_action</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_one_action"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_one_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_passive_required_form">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_passive_required_form</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_passive_required_form"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_passive_required_form" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_proper_noun_flat">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_proper_noun_flat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_proper_noun_flat"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_proper_noun_flat" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.lingproc.test_text_parser.test_text_parser_two_mandatory_verbs">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.lingproc.test_text_parser.</span></span><span class="sig-name descname"><span class="pre">test_text_parser_two_mandatory_verbs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/lingproc/test_text_parser.html#test_text_parser_two_mandatory_verbs"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.lingproc.test_text_parser.test_text_parser_two_mandatory_verbs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.test.lingproc">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.test.lingproc" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
  <li><a href="nl2declare.test.html">nl2declare.test package</a><ul>
      <li>Previous: <a href="nl2declare.test.html" title="previous chapter">nl2declare.test package</a></li>
      <li>Next: <a href="nl2declare.test.utils.html" title="next chapter">nl2declare.test.utils package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.test.lingproc.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>